# ##### BEGIN GPL LICENSE BLOCK #####
#
#  This program is free software; you can redistribute it and/or
#  modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2
#  of the License, or (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software Foundation,
#  Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# ##### END GPL LICENSE BLOCK #####


####adapted to Blender 2.8 by FA285634 ################################
## some minor functionality added :                                  ##
## - shared data folder are marked $data + relative false            ##
## - minor tweaks added                                              ##
## Sorry, no new stuff added -> target xml is unknown for new things ##
#######################################################################


print(__file__)

bl_info = {
    "name": "GIANTS I3D Exporter Tools",
    "author": "GIANTS Software",
    "blender": ( 2, 80, 0 ),
    "version": ( 8, 0, 0 ),
    "location": "GIANTS I3D",
    "description": "GIANTS Utilities and Exporter",
    "warning": "",
    "wiki_url": "http://gdn.giants-software.com",
    "tracker_url": "http://gdn.giants-software.com",
    "category": "Game Engine"}

global DCC_PLATFORM
DCC_PLATFORM = "blender"

if "bpy" in locals():
    import importlib
    importlib.reload(i3d_ui)
    importlib.reload(i3d_ui2)
    importlib.reload(dcc)
else:
    from . import i3d_ui
    from . import i3d_ui2
    from . import dcc

import bpy

#-------------------------------------------------------------------------------
#   I3D Menu Class
#-------------------------------------------------------------------------------
class Menu_MT_I3D_Menu( bpy.types.Menu ):
    bl_label = "GIANTS I3D"
    bl_idname = "ADDON_MT_I3dMenu"
    bl_space_type = 'VIEW_3D'

    def draw( self, context ):
        layout = self.layout
        layout.label( text = "v {0}".format(bl_info["version"]) )        
        
#-------------------------------------------------------------------------------
#   I3D Menu Draw 
#-------------------------------------------------------------------------------
def _MT_draw_I3D_Menu( self, context ):
    self.layout.menu( Menu_MT_I3D_Menu.bl_idname )

#-------------------------------------------------------------------------------
#   Register
#-------------------------------------------------------------------------------
def register():
    i3d_ui.register()    
    bpy.utils.register_class( Menu_MT_I3D_Menu )        
    i3d_ui2.register()
    bpy.types.VIEW3D_MT_editor_menus.append( _MT_draw_I3D_Menu )  
    

def unregister():
    bpy.types.VIEW3D_MT_editor_menus.remove( _MT_draw_I3D_Menu )
    i3d_ui2.unregister()
    i3d_ui.unregister()
    bpy.utils.unregister_class( Menu_MT_I3D_Menu )
    

if __name__ == "__main__":
    register()
#-------------------------------------------------------------------------------